// This Test Port skeleton source file was generated by the
// TTCN-3 Compiler of the TTCN-3 Test Executor version CRL 113 200/6 R4C
// for ebotbar (ebotbar@ebotbarVB) on Wed Nov 28 12:07:59 2018

// Copyright (c) 2000-2025 Ericsson Telecom AB

// You may modify this file. Complete the body of empty functions and
// add your member functions here.

#include "PortProvBasic.hh"
#include "realtimeTimestampPortTranslation.hh"

namespace realtimeTimestampPortTranslation {

PortProvBasic_PROVIDER::PortProvBasic_PROVIDER(const char *par_port_name)
	: PORT(par_port_name)
{

}

PortProvBasic_PROVIDER::~PortProvBasic_PROVIDER()
{

}

void PortProvBasic_PROVIDER::set_parameter(const char * /*parameter_name*/,
	const char * /*parameter_value*/)
{

}

/*void PortProvBasic_PROVIDER::Handle_Fd_Event(int fd, boolean is_readable,
	boolean is_writable, boolean is_error) {}*/

void PortProvBasic_PROVIDER::Handle_Fd_Event_Error(int /*fd*/)
{

}

void PortProvBasic_PROVIDER::Handle_Fd_Event_Writable(int /*fd*/)
{

}

void PortProvBasic_PROVIDER::Handle_Fd_Event_Readable(int /*fd*/)
{

}

/*void PortProvBasic_PROVIDER::Handle_Timeout(double time_since_last_call) {}*/

void PortProvBasic_PROVIDER::user_map(const char * /*system_port*/)
{

}

void PortProvBasic_PROVIDER::user_unmap(const char * /*system_port*/)
{

}

void PortProvBasic_PROVIDER::user_start()
{

}

void PortProvBasic_PROVIDER::user_stop()
{

}

void PortProvBasic_PROVIDER::outgoing_send(const INTEGER& send_par)
{
  // redirect the message to the port's input
  incoming_message(send_par);
}

} /* end of namespace */

